summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-cdr/sync2cd
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-cdr/sync2cd')
-rw-r--r--app-cdr/sync2cd/Manifest1
-rw-r--r--app-cdr/sync2cd/metadata.xml13
-rw-r--r--app-cdr/sync2cd/sync2cd-1.3-r1.ebuild28
-rw-r--r--app-cdr/sync2cd/sync2cd-1.3.ebuild34
4 files changed, 76 insertions, 0 deletions
diff --git a/app-cdr/sync2cd/Manifest b/app-cdr/sync2cd/Manifest
new file mode 100644
index 00000000000..20d5dfb2abd
--- /dev/null
+++ b/app-cdr/sync2cd/Manifest
@@ -0,0 +1 @@
+DIST sync2cd-1.3.tar.gz 39663 SHA256 159fc8a426d1259899d4adab6e4c2fbf4a37362e45dd52813217290cc5ab963c SHA512 a80c00e4a5e1eccf12750e7c6bae606fb1befeba1ad6510e887c931e3bdecef28864053a9a8933f55073204577e173b8109456051e47bce5f26d35be24052c4a WHIRLPOOL a10d9c48d88df24782b215280623094e264ab686f7d21a0995c6a9a1ed93a5092460d80f959ffedd8aa39d3289f11ac750be0fe46e8ef7e420f9c9b427a422d0
diff --git a/app-cdr/sync2cd/metadata.xml b/app-cdr/sync2cd/metadata.xml
new file mode 100644
index 00000000000..1f9afb61bd0
--- /dev/null
+++ b/app-cdr/sync2cd/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>media-optical</herd>
+<longdescription>
+sync2cd is an incremental archiving tool. It allows backing up complete filesystem hierarchies to multiple backup
+media (e.g. CD-R). Files are archived incrementally, i.e. only new or changed files are stored during an archive
+operation.
+
+All entity types are supported: directories, files, symlinks, named pipes, sockets, block and character devices.
+(copyied off ref url)
+</longdescription>
+</pkgmetadata>
diff --git a/app-cdr/sync2cd/sync2cd-1.3-r1.ebuild b/app-cdr/sync2cd/sync2cd-1.3-r1.ebuild
new file mode 100644
index 00000000000..d7d0750f810
--- /dev/null
+++ b/app-cdr/sync2cd/sync2cd-1.3-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="An incremental archiving tool to CD/DVD"
+HOMEPAGE="http://www.calins.ch/software/sync2cd.html"
+SRC_URI="http://www.calins.ch/download/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="cdr dvdr"
+
+RDEPEND="virtual/eject
+ cdr? ( virtual/cdrtools )
+ dvdr? ( app-cdr/dvd+rw-tools )"
+DEPEND=""
+
+python_test() {
+ cd tests || die
+ "${PYTHON}" run.py || die "Unit tests failed for ${EPYTHON}"
+}
diff --git a/app-cdr/sync2cd/sync2cd-1.3.ebuild b/app-cdr/sync2cd/sync2cd-1.3.ebuild
new file mode 100644
index 00000000000..89ef0e2d74c
--- /dev/null
+++ b/app-cdr/sync2cd/sync2cd-1.3.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="3"
+PYTHON_DEPEND="2"
+
+inherit distutils
+
+DESCRIPTION="An incremental archiving tool to CD/DVD"
+HOMEPAGE="http://www.calins.ch/software/sync2cd.html"
+SRC_URI="http://www.calins.ch/download/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE="cdr dvdr"
+
+RDEPEND="virtual/eject
+ cdr? ( virtual/cdrtools )
+ dvdr? ( app-cdr/dvd+rw-tools )"
+DEPEND=""
+
+PYTHON_MODNAME="sync2cd.py"
+
+pkg_setup() {
+ python_set_active_version 2
+ python_pkg_setup
+}
+
+src_test() {
+ cd tests
+ "$(PYTHON)" run.py || die "Unit tests failed"
+}